Package com.avaya.clientservices.user

## Class OutboundSubscriptionConfiguration

- java.lang.Object
- - com.avaya.clientservices.user.OutboundSubscriptionConfiguration

-     public class OutboundSubscriptionConfiguration
      extends java.lang.Object

  This class allows the control of various subscriptions to telephony services

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutboundSubscriptionConfiguration()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `areAllSubscriptionsDisabled()` | Check if all subscriptions are disabled
    `boolean` | `isCCEliteEnabled()` | Check if Call Center elite subscription is enabled
    `boolean` | `isCCSProfileEnabled()` | Check if CCS profile is enabled
    `boolean` | `isDialogInfoEnabled()` | Check if dialog info subscription is enabled
    `boolean` | `isFeatureStatusEnabled()` | Check if feature status subscription is enabled
    `boolean` | `isMessageSummaryEnabled()` | Check if Message Summary subscription is enabled
    `boolean` | `isRegistrationInfoEnabled()` | Check if Registration info is enabled
    `void` | `setAllSubscriptionsDisabled​(boolean allSubscriptionsDisabled)` | Controls the enablement of all subscriptions
    `void` | `setCCEliteEnabled​(boolean ccEliteEnabled)` | Controls the enablement of Call Center elite subscription
    `void` | `setCCSProfileEnabled​(boolean ccsProfileEnabled)` | Controls the enablement of CCS profile subscription
    `void` | `setDialogInfoEnabled​(boolean dialogInfoEnabled)` | Controls the enablement of dialog info subscription
    `void` | `setFeatureStatusEnabled​(boolean featureStatusEnabled)` | Controls the enablement of feature status subscription
    `void` | `setMessageSummaryEnabled​(boolean messageSummaryEnabled)` | Controls the enablement of Message Summary subscription
    `void` | `setRegistrationInfoEnabled​(boolean registrationInfoEnabled)` | Controls the enablement of Registration info subscription

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutboundSubscriptionConfiguration

          public OutboundSubscriptionConfiguration()

  - ### Method Detail

    - #### areAllSubscriptionsDisabled

          public boolean areAllSubscriptionsDisabled()

      Check if all subscriptions are disabled
      Returns:
        true if all subscriptions are disabled

    - #### setAllSubscriptionsDisabled

          public void setAllSubscriptionsDisabled​(boolean allSubscriptionsDisabled)

      Controls the enablement of all subscriptions
      Parameters:
        `allSubscriptionsDisabled` - indicating whether all subscriptions disabled.

    - #### isCCSProfileEnabled

          public boolean isCCSProfileEnabled()

      Check if CCS profile is enabled
      Returns:
        true if CCS profile is enabled

    - #### setCCSProfileEnabled

          public void setCCSProfileEnabled​(boolean ccsProfileEnabled)

      Controls the enablement of CCS profile subscription
      Parameters:
        `ccsProfileEnabled` - indicating whether CCS profile enabled.

    - #### isRegistrationInfoEnabled

          public boolean isRegistrationInfoEnabled()

      Check if Registration info is enabled
      Returns:
        true if Registration info is enabled

    - #### setRegistrationInfoEnabled

          public void setRegistrationInfoEnabled​(boolean registrationInfoEnabled)

      Controls the enablement of Registration info subscription
      Parameters:
        `registrationInfoEnabled` - indicating whether Registration info enabled.

    - #### isDialogInfoEnabled

          public boolean isDialogInfoEnabled()

      Check if dialog info subscription is enabled
      Returns:
        true if dialog info subscription is enabled

    - #### setDialogInfoEnabled

          public void setDialogInfoEnabled​(boolean dialogInfoEnabled)

      Controls the enablement of dialog info subscription
      Parameters:
        `dialogInfoEnabled` - indicating whether dialog info enabled.

    - #### isFeatureStatusEnabled

          public boolean isFeatureStatusEnabled()

      Check if feature status subscription is enabled
      Returns:
        true if feature status subscription is enabled

    - #### setFeatureStatusEnabled

          public void setFeatureStatusEnabled​(boolean featureStatusEnabled)

      Controls the enablement of feature status subscription
      Parameters:
        `featureStatusEnabled` - indicating whether feature status enabled.

    - #### isMessageSummaryEnabled

          public boolean isMessageSummaryEnabled()

      Check if Message Summary subscription is enabled
      Returns:
        true if Message Summary subscription is enabled

    - #### setMessageSummaryEnabled

          public void setMessageSummaryEnabled​(boolean messageSummaryEnabled)

      Controls the enablement of Message Summary subscription
      Parameters:
        `messageSummaryEnabled` - indicating whether message summary enabled.

    - #### isCCEliteEnabled

          public boolean isCCEliteEnabled()

      Check if Call Center elite subscription is enabled
      Returns:
        true if Call Center elite subscription is enabled

    - #### setCCEliteEnabled

          public void setCCEliteEnabled​(boolean ccEliteEnabled)

      Controls the enablement of Call Center elite subscription
      Parameters:
        `ccEliteEnabled` - indicating whether CCElite enabled.